import 'zone.js';
import { bootstrapApplication } from '@angular/platform-browser';
import { App } from './app/app';
import { AuthService } from './app/core/services/auth.service';
import { appConfig } from './app/app.config';
bootstrapApplication(App, {
  providers: [
    ...appConfig.providers,
  ]
}).then(async appRef => {
  console.log('Application BO Admin completed.');
  const authService = appRef.injector.get(AuthService);
  await authService.initialize();
}).catch(err => console.error('BO Admin error', err));
